package jrummikub.control;

import static org.junit.Assert.*;
import jrummikub.model.GameState;
import jrummikub.view.MockView;

import org.junit.Test;

public class RoundControlTest {

	@Test
	public void testDeal() {
		MockView view = new MockView();
		GameState testGameState = new GameState();
		RoundControl testRound = new RoundControl(testGameState, view);
		testRound.deal();
		assertEquals(106 - testGameState.getPlayerCount() * 14, testGameState
				.getGameHeap().getSize());
		for (int i = 0; i < testGameState.getPlayerCount(); i++) {
			assertEquals(14, testGameState.getPlayer(i).getHand().getSize());
		}
	}
	
	

}
